Subject: Re: [httpapi] [Gen-art] Genart last call review of draft-ietf-httpapi-rfc7807bis-04

From: Mark Nottingham <[email-masked]>
Date: Tue, 14 Feb 2023 21:08:05 -0800

Hi Pete,

I like the suggestion below; anyone else have an issue with incorporating it?

Cheers,

> 
>> On Oct 28, 2022, at 01:13, Pete Resnick via Datatracker <[email-masked]> wrote:
>> 
>> This paragraph in section 4 struck me oddly:
>> 
>>  An extension member (see Section 3.2) MAY occur in the Problem field
>>  if its name is compatible with the syntax of Dictionary keys (see
>>  Section 3.2 of [STRUCTURED-FIELDS]) and if the defining problem type
>>  specifies a Structured Type to serialize the value into.
>> 
>> That almost sounds like what you want to say is:
>> 
>>  If an extension member (see Section 3.2) occurs in the Problem field,
>>  its name MUST be compatible with the syntax of Dictionary keys (see
>>  Section 3.2 of [STRUCTURED-FIELDS]) and the defining problem type
>>  MUST specify a Structured Type to serialize the value into.
>> 
>> I'm curious if you are making a normative statement that would get lost in the
>> current form. But I'm not sure what the high-order bit here is, so I leave it
>> to you.

--
Mark Nottingham   https://www.mnot.net/